org.eclipse.rdf4j.spin.function

## Class AskFunction

- java.lang.Object
- - org.eclipse.rdf4j.spin.function.AbstractSpinFunction
  - - org.eclipse.rdf4j.spin.function.AskFunction

- All Implemented Interfaces:
    Function

      public class AskFunction
      extends AbstractSpinFunction
      implements Function

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AskFunction()`
    `AskFunction(SpinParser parser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Value` | `evaluate(ValueFactory valueFactory, Value... args)` Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `SpinParser` | `getSpinParser()`
    `void` | `setSpinParser(SpinParser parser)`

    - ### Methods inherited from class org.eclipse.rdf4j.spin.function.AbstractSpinFunction

      `addBindings, getCurrentQueryPreparer, getQueryPreparer, getURI, setQueryPreparer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate, getURI`

- - ### Constructor Detail

    - #### AskFunction

          public AskFunction()

    - #### AskFunction

          public AskFunction(SpinParser parser)

  - ### Method Detail

    - #### getSpinParser

          public SpinParser getSpinParser()

    - #### setSpinParser

          public void setSpinParser(SpinParser parser)

    - #### evaluate

          public Value evaluate(ValueFactory valueFactory,
                                Value... args)
                         throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.